public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Luca Barbato" <lu_zero@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/srt/
Date: Mon, 26 Mar 2018 17:04:20 +0000 (UTC)	[thread overview]
Message-ID: <1522083820.aeccfd18102a0adb73fcef9cfd361ffa77de28ce.lu_zero@gentoo> (raw)

commit:     aeccfd18102a0adb73fcef9cfd361ffa77de28ce
Author:     Luca Barbato <lu_zero <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 22 16:45:07 2018 +0000
Commit:     Luca Barbato <lu_zero <AT> gentoo <DOT> org>
CommitDate: Mon Mar 26 17:03:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aeccfd18

net-libs/srt: Initial package

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-libs/srt/Manifest         |  1 +
 net-libs/srt/metadata.xml     | 11 +++++++++++
 net-libs/srt/srt-1.2.2.ebuild | 41 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 53 insertions(+)

diff --git a/net-libs/srt/Manifest b/net-libs/srt/Manifest
new file mode 100644
index 00000000000..38bbc15549b
--- /dev/null
+++ b/net-libs/srt/Manifest
@@ -0,0 +1 @@
+DIST srt-1.2.2.tar.gz 634049 BLAKE2B 1f650c5d8ab470829212b9c4a1082eb1de4480c8bad4b787a63a2b9c06cb7c8c0ad3a80a06ec5b13e629ec2d18a025ff36e3dcdaa9de8359805e3ff4c1b4d963 SHA512 cb897c97d5fd93b333c8de0805c78c940650a2daf8d821e09e3fb01c7e4b56bd7513cf28545f7ac422fba9fa8420b745f397359a4b9e81cff496c776820ea90a

diff --git a/net-libs/srt/metadata.xml b/net-libs/srt/metadata.xml
new file mode 100644
index 00000000000..b865368cdf4
--- /dev/null
+++ b/net-libs/srt/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>lu_zero@gentoo.org</email>
+		<name>Luca Barbato</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">Haivision/srt</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/net-libs/srt/srt-1.2.2.ebuild b/net-libs/srt/srt-1.2.2.ebuild
new file mode 100644
index 00000000000..66d1b1dadb4
--- /dev/null
+++ b/net-libs/srt/srt-1.2.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-multilib
+
+DESCRIPTION="Open-source implementation of the Secure Real-time Transport Protocol (SRTP)"
+HOMEPAGE="https://github.com/Haivision/srt"
+SRC_URI="https://github.com/Haivision/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc libressl gnutls"
+
+RDEPEND="
+	gnutls? ( net-libs/gnutls )
+	!gnutls? (
+		!libressl? ( dev-libs/openssl:0=[${MULTILIB_USEDEP}] )
+		libressl? ( dev-libs/libressl:0=[${MULTILIB_USEDEP}] )
+	)
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( README.md )
+
+#PATCHES=( "${FILESDIR}/${P} )
+
+src_prepare() {
+	cmake-utils_src_prepare
+	sed -i -e "s:hcrypt_ut.c::" "${S}"/haicrypt/*.maf || die
+	sed -i -e 's:DESTINATION lib:DESTINATION lib${LIB_SUFFIX}:' CMakeLists.txt || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUSE_GNUTLS=$(usex gnutls)
+	)
+	cmake-multilib_src_configure
+}


             reply	other threads:[~2018-03-26 17:04 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-03-26 17:04 Luca Barbato [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-11-27 14:34 [gentoo-commits] repo/gentoo:master commit in: net-libs/srt/ Craig Andrews
2019-02-16 18:04 Andreas Sturmlechner
2019-02-16 18:04 Andreas Sturmlechner
2019-02-19 11:37 Alexis Ballier
2019-02-21 11:15 Andreas Sturmlechner
2019-03-03 13:08 Luca Barbato
2019-05-12 21:57 Sergei Trofimovich
2019-05-12 22:03 Sergei Trofimovich
2019-05-19 13:14 Thomas Deutschmann
2019-05-20 11:33 Mikle Kolyada
2019-05-21 21:50 Aaron Bauman
2019-06-06 21:24 Sergei Trofimovich
2019-06-07 10:05 Agostino Sarubbo
2019-07-28 13:53 Mikle Kolyada
2019-09-29  2:56 Mike Gilbert
2019-11-22  9:18 Luca Barbato
2019-11-23 13:17 Luca Barbato
2020-02-18 12:15 Mart Raudsepp
2020-02-18 12:15 Mart Raudsepp
2020-04-22  8:33 David Seifert
2020-05-13 21:28 Mart Raudsepp
2020-05-14 13:22 Agostino Sarubbo
2020-05-14 13:23 Agostino Sarubbo
2020-05-14 13:23 Agostino Sarubbo
2020-05-14 13:24 Agostino Sarubbo
2020-05-14 13:25 Agostino Sarubbo
2020-05-14 21:26 Mart Raudsepp
2020-11-25 20:51 Mart Raudsepp
2020-11-25 20:51 Mart Raudsepp
2021-01-20  7:55 Agostino Sarubbo
2021-01-23  4:20 Sam James
2021-01-23 22:51 Sam James
2021-01-24  3:52 Sam James
2021-02-25 15:38 Andreas Sturmlechner
2021-04-12 12:54 John Helmert III
2021-05-03  9:01 Mikle Kolyada
2021-05-30 19:35 Andreas Sturmlechner
2021-08-21  8:44 Marek Szuba
2022-08-28 16:32 Arthur Zamarin
2022-08-28 16:32 Arthur Zamarin
2022-08-28 18:03 Arthur Zamarin
2022-08-28 18:18 Arthur Zamarin
2022-08-29 14:49 Jakov Smolić
2022-08-29 14:49 Jakov Smolić
2023-03-22 18:53 Andreas Sturmlechner
2023-04-07  2:33 Sam James
2023-04-07  2:34 Sam James
2023-05-04 14:40 Jakov Smolić
2023-05-04 15:04 Arthur Zamarin
2023-05-04 15:17 Arthur Zamarin
2023-05-05  9:27 Arthur Zamarin
2023-05-10  0:33 Sam James
2023-10-05 20:05 Sam James
2023-10-05 21:07 Mart Raudsepp
2023-11-17  7:47 Sam James
2024-03-27  6:00 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1522083820.aeccfd18102a0adb73fcef9cfd361ffa77de28ce.lu_zero@gentoo \
    --to=lu_zero@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox